Package ch.qos.logback.core.encoder

# Class ByteArrayUtil

java.lang.Object
ch.qos.logback.core.encoder.ByteArrayUtil

public class ByteArrayUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`ByteArrayUtil()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`hexStringToByteArray(String s)`
`static String`
`toHexString(byte[] ba)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteArrayUtil

public ByteArrayUtil()

## Method Details

### toHexString

public static String toHexString(byte[] ba)

### hexStringToByteArray

public static byte[] hexStringToByteArray(String s)